Bug 1063222 - RF-11736: rich:popupPanel repositioned after second click when domElementAttachment="parent"
Summary: RF-11736: rich:popupPanel repositioned after second click when domElementAtta...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: RichFaces
Version: 2.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Brian Leathem
QA Contact: Pavol Pitonak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 10:10 UTC by Takayuki Konishi
Modified: 2018-12-04 17:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-27 11:57:51 UTC
Type: Bug


Attachments (Terms of Use)
reproducer (7.15 KB, application/zip)
2014-02-10 10:10 UTC, Takayuki Konishi
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker RF-11736 Major Closed rich:popupPanel x domElementAttachment="parent" 2015-05-21 04:39:14 UTC
JBoss Issue Tracker WFK2-500 Major Closed rich:popupPanel repositioned after second click when domElementAttachment="parent" 2015-05-21 04:39:14 UTC

Description Takayuki Konishi 2014-02-10 10:10:10 UTC
Created attachment 861321 [details]
reproducer

Description of problem:

rich:popupPanel repositioned after second click when domElementAttachment="parent"

How reproducible: 100 %

Steps to Reproduce:

1. get attached RF-11736.zip and extract
2. start JBoss EAP 6.2.0
3. $ cd RF-11736
4. $ mvn clean package jboss-as:deploy
5. open http://localhost:8080/rf-11736/ with a browser.
6. click "Open PopUp with domElementAttachment=parent" button and a panel will pop up in the middle of the screen.
7. click outside of the panel. the panel will hide.
8. click the button again.

Actual results:
The panel pops up in the right and bottom position.

Expected results:
The panel pops up in the middle of the screen.

Additional info:
A workaround exists.

Comment 5 Pavol Pitonak 2014-03-27 11:57:51 UTC
Closing... progress of this issue will be tracked in https://issues.jboss.org/browse/WFK2-500

Comment 6 JBoss JIRA Server 2014-04-15 13:44:24 UTC
Michal Petrov <mpetrov@redhat.com> updated the status of jira RF-11736 to Resolved

Comment 7 JBoss JIRA Server 2014-05-05 14:15:18 UTC
Juraj Húska <jhuska@redhat.com> updated the status of jira RF-11736 to Closed

Comment 8 JBoss JIRA Server 2014-05-12 07:46:23 UTC
Pavel Slegr <pslegr@redhat.com> updated the status of jira WFK2-500 to Resolved

Comment 9 JBoss JIRA Server 2014-07-25 08:31:39 UTC
Marek Schmidt <maschmid@redhat.com> updated the status of jira WFK2-500 to Closed

Comment 10 JBoss JIRA Server 2014-09-16 16:46:27 UTC
Brian Leathem <bleathem@gmail.com> updated the status of jira RF-11736 to Reopened

Comment 11 JBoss JIRA Server 2014-09-16 16:46:43 UTC
Brian Leathem <bleathem@gmail.com> updated the status of jira RF-11736 to Closed


Note You need to log in before you can comment on or make changes to this bug.